-- MySQL dump 10.11
--
-- Host: localhost    Database: altitude
-- ------------------------------------------------------
-- Server version	5.0.77-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `game_history`
--

DROP TABLE IF EXISTS `game_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `game_history` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `port` int(5) unsigned default NULL,
  `mode` varchar(24) default NULL,
  `name` varchar(60) default NULL,
  `start_time` int(12) unsigned default NULL,
  `end_time` int(12) unsigned default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `kill_history`
--

DROP TABLE IF EXISTS `kill_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `kill_history` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `gid` int(12) unsigned NOT NULL,
  `time` int(12) unsigned NOT NULL,
  `realtime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `k_vaporid` varchar(36) NOT NULL,
  `v_vaporid` varchar(36) NOT NULL,
  `k_name` varchar(60) NOT NULL,
  `v_name` varchar(60) NOT NULL,
  `k_plane` varchar(24) NOT NULL,
  `v_plane` varchar(24) NOT NULL,
  `k_perkred` varchar(48) NOT NULL,
  `v_perkred` varchar(48) NOT NULL,
  `k_perkgreen` varchar(48) NOT NULL,
  `v_perkgreen` varchar(48) NOT NULL,
  `k_perkblue` varchar(48) NOT NULL,
  `v_perkblue` varchar(48) NOT NULL,
  `streak` int(2) unsigned default '0',
  `multi` int(2) unsigned default '0',
  `assisted` int(2) unsigned default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `powerup_history`
--

DROP TABLE IF EXISTS `powerup_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `powerup_history` (
  `id` int(12) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `server_players`
--

DROP TABLE IF EXISTS `server_players`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `server_players` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `p_time` int(30) unsigned NOT NULL,
  `p_port` int(6) unsigned NOT NULL,
  `p_id` int(2) unsigned NOT NULL,
  `p_nickname` varchar(60) NOT NULL,
  `p_vaporid` varchar(40) NOT NULL,
  `p_ip` varchar(24) NOT NULL,
  `p_ping` int(4) unsigned default NULL,
  `p_kills` int(4) unsigned default NULL,
  `p_deaths` int(4) unsigned default NULL,
  `p_assists` int(4) unsigned default NULL,
  `p_goals` int(4) unsigned default NULL,
  `p_crashes` int(10) unsigned default NULL,
  `p_team` int(2) unsigned default NULL,
  `p_plane` varchar(20) default NULL,
  `p_perkred` varchar(45) default NULL,
  `p_perkgreen` varchar(45) default NULL,
  `p_perkblue` varchar(45) default NULL,
  `p_skin` varchar(45) default NULL,
  `p_streak` int(4) unsigned default NULL,
  `p_structuredamage` int(6) unsigned default NULL,
  `s_kills` int(4) unsigned default NULL,
  `s_deaths` int(4) unsigned default NULL,
  `s_assists` int(4) unsigned default NULL,
  `s_goals` int(4) unsigned default NULL,
  `s_crashes` int(4) unsigned default NULL,
  `s_structuredamage` int(6) unsigned default NULL,
  PRIMARY KEY  USING BTREE (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19291 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `server_status`
--

DROP TABLE IF EXISTS `server_status`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `server_status` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `time` int(30) unsigned NOT NULL,
  `port` int(6) unsigned NOT NULL,
  `tournament` int(1) unsigned default '0',
  `name` varchar(80) default NULL,
  `maxplayers` int(2) unsigned default NULL,
  `map` varchar(60) default NULL,
  `mode` varchar(10) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-03-27 17:08:31
